Skip to main content

Get

Endpoint​

GET /api/v1/repos/:org/:repo/builds

Parameters​

The following parameters are used to configure the endpoint:

NameDescription
orgname of organization
reponame of repository

Filters​

The following optional filters are available:

NameDescription
branchname of branch to filter to
commitcommit hash to filter to
eventname of event to filter to
pagepage number for results (default 1)
per_pagenumber of results in a page (default 10, max 100)
statusname of status to filter to
beforereturn builds created before a certain time (UNIX Epoch, default "now")
afterreturn builds created after a certain time (UNIX Epoch, default 0)

Permissions​

COMING SOON!

Responses​

Status CodeDescription
200indicates the request has succeeded
401indicates the user does not have proper permissions

Sample​

warning

This section assumes you already know how to authenticate to the API.

To authenticate to the API, please review the authentication documentation.

Request​

curl \
-X GET \
-H "Authorization: Bearer <token>" \
"http://127.0.0.1:8080/api/v1/repos/github/octocat/builds"
# with optional event filter
curl \
-X GET \
-H "Authorization: Bearer <token>" \
"http://127.0.0.1:8080/api/v1/repos/github/octocat/builds?event=push"

Response​

[
{
"id": 2,
"repo_id": 1,
"number": 2,
"parent": 1,
"event": "push",
"status": "running",
"error": "",
"enqueued": 1563474204,
"created": 1563474204,
"started": 1563474204,
"finished": 0,
"deploy": "",
"clone": "https://github.com/github/octocat.git",
"source": "https://github.com/github/octocat/commit/48afb5bdc41ad69bf22588491333f7cf71135163",
"title": "push received from https://github.com/github/octocat",
"message": "Second commit...",
"commit": "48afb5bdc41ad69bf22588491333f7cf71135163",
"sender": "OctoKitty",
"author": "OctoKitty",
"branch": "main",
"ref": "refs/heads/main",
"base_ref": "",
"host": "ed95dcc0687c",
"runtime": "",
"distribution": ""
},
{
"id": 1,
"repo_id": 1,
"number": 1,
"parent": 1,
"event": "push",
"status": "running",
"error": "",
"enqueued": 1563474077,
"created": 1563474076,
"started": 1563474077,
"finished": 0,
"deploy": "",
"clone": "https://github.com/github/octocat.git",
"source": "https://github.com/github/octocat/commit/48afb5bdc41ad69bf22588491333f7cf71135163",
"title": "push received from https://github.com/github/octocat",
"message": "First commit...",
"commit": "48afb5bdc41ad69bf22588491333f7cf71135163",
"sender": "OctoKitty",
"author": "OctoKitty",
"branch": "main",
"ref": "refs/heads/main",
"base_ref": "",
"host": "82823eb770b0",
"runtime": "",
"distribution": ""
}
]